Get index candles
curl --request GET \
--url https://api.international.coinbase.com/api/v1/index/{index}/candles \
--header 'CB-ACCESS-KEY: <api-key>' \
--header 'CB-ACCESS-PASSPHRASE: <api-key>' \
--header 'CB-ACCESS-SIGN: <api-key>' \
--header 'CB-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://api.international.coinbase.com/api/v1/index/{index}/candles"
headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://api.international.coinbase.com/api/v1/index/{index}/candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aggregations": [
{
"start": "2024-10-31T00:00:00Z",
"open": "311.4512360891112",
"high": "312.4418815371496",
"low": "297.4296073392959",
"close": "299.5950052685418"
}
]
}Index
Get index candles
Retrieves the historical daily index prices in time descending order. The daily values are represented as aggregated entries for the day in typical OHLC format.
GET
/
api
/
v1
/
index
/
{index}
/
candles
Get index candles
- TS/JS
const indexService = new IndexService(client);
indexService.getIndexCandles({
index: 'COIN50',
granularity: 'ONE_DAY',
start: '2024-01-01T00:00:00Z',
}).then(async (response) => {
console.log('Index Candles: ', response);
})
Authorizations
The Client ID that owns the API Key for the request
The pass phrase affiliated with the API Key
A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY
The timestamp of when the request is being made
Path Parameters
Identifies the index by name (e.g., COIN50)
Query Parameters
The aggregation period of the candles data
Available options:
ONE_DAY, ONE_HOUR Start timestamp in ISO 8601 timestamp format (e.g. 2024-10-21T00:00:00Z)
End timestamp in ISO 8601 timestamp format (e.g. 2024-10-31T00:00:00Z)
Response
Index Candle list
Show child attributes
Show child attributes
Was this page helpful?